**Foundational Agile Principles:**

**_Individuals and interactions_** over processes and tools

**_Working software _**over comprehensive

_**Customer collaboration**_ over contract negotiation

_**Responding to change **_ over following a plan




## User-Stories
User stories help us tie the needs of our users directly to features we implement in a
conversational format. They **always** follow this syntax: _“As a User/Stakeholder , I need/want to be able to Do Something”_. This can result in some awkward stories for the “obvious” features like _“As a user, I need to be able to trust that my credit card information is secure.”_, but it is imperative that ALL features tie back to a story in order to allow us to effectively break the work down into manageable pieces.

## Sprints
A “Sprint” is a short (1-3 weeks) development cycle during which a number of stories or subtasks are targeted for completion by the end of the sprint. The idea behind “Sprinting” is to allow us to **deliver** a story to the project champion for feedback/approval. This iterative workflow ensures we get continuous buy-in from the project champion and we are delivering functionality that both works, and is valuable.

## SCRUM
At a basic level, SCRUM helps us stay focused and informed about what the status is on each assigned task as well as break down communication barriers. In many professional settings the work day begins with a “Daily Scrum”.  We will be following a weekly scrum to align with our sprints.  A common scrum failure is to attempt to problem solve during a scrum. Troubleshooting and brainstorming should always be done as a separate task from SCRUM.

## Spoiler Alert!
[![687474703a2f2f7777772e796f75726472756d2e636f6d2f796f75726472756d2f696d616765732f323030372f31302f31302f7265645f7761726e696e675f7369676e5f322e676966.gif](https://files.gitter.im/FreeCodeCamp/Wiki/nlOm/thumb/687474703a2f2f7777772e796f75726472756d2e636f6d2f796f75726472756d2f696d616765732f323030372f31302f31302f7265645f7761726e696e675f7369676e5f322e676966.gif)](https://files.gitter.im/FreeCodeCamp/Wiki/nlOm/687474703a2f2f7777772e796f75726472756d2e636f6d2f796f75726472756d2f696d616765732f323030372f31302f31302f7265645f7761726e696e675f7369676e5f322e676966.gif)

**Solution ahead!**

## Code Solution:

```js
code here
```

# Code Explanation:
- Explain your code here

# Credits:
If you found this page useful, you can give thanks by copying and pasting this on the main chat:  **`thanks @username1 @username2 @yourusername for your help with Algorithm: Name of the Algorithm`**

> **NOTE:** Please add your username only if you have added any **relevant main contents** to the wiki page. (Please don't remove any existing usernames.)

## Here you can add any other information that is helpful or related.
- Right here.

### Important notes about this template.
- This template can also be used for regular pages.
- The author part has been removed. This is a collaboration page, while people can see who contributed by checking the revision, using the code for the credits will also benefit the contributors and your name will be there, so there is no longer any need to add your picture or links.
- If you have suggestions or comments about this template, feel free to contact [@Rafase282 in Gitter](https://gitter.im/Rafase282)