# Array.prototype.reverse()

The JavaScript array method `.reverse()` will reverse the order of the elements within the array.

## Syntax
```js
var array = [1, 2, 3, 4, 5];
array.reverse();
```

## Description 

`.reverse()` reverses the index of the elements of an array.


## Examples

**Use `.reverse()` to reverse the elements of an array**
```js
var array = [1, 2, 3, 4, 5];
console.log(array);
// Console will output 1, 2, 3, 4, 5

array.reverse();

console.log(array);
/* Console will output 5, 4, 3, 2, 1 and
the variable array now contains the set [5, 4, 3, 2, 1] */

```


Source [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/reverse)
